org.apache.jmeter.visualizers

## Interface SearchTextExtension.ISearchTextExtensionProvider

- Enclosing class:
    SearchTextExtension

      public static interface SearchTextExtension.ISearchTextExtensionProvider

  Search provider definition Allow the search extension to search on any component

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `executeAndShowTextFind(java.util.regex.Pattern pattern)` Launch find text engine on target component
    `void` | `resetTextToFind()` reset the provider

- - ### Method Detail

    - #### resetTextToFind

          void resetTextToFind()

      reset the provider

    - #### executeAndShowTextFind

          boolean executeAndShowTextFind(java.util.regex.Pattern pattern)

      Launch find text engine on target component
      Parameters:
        `pattern` - text pattern to search
      Returns:
        true if there was a match, false otherwise

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.